###########################################################################
#
# win32.mak -- Windows Makefile for common-src\src\lib
#
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999-2010  The New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################


GSDL_DIR = $(GSDLHOME)


# Libraries compiled
LIBRARIES = gsdllib.lib

# Library: gsdllib.lib
LIBGSDL_CPPFLAGS =

# Objects for gsdllib.lib
LIBGSDL_OBJECTS = \
	cfgread.obj \
	cnfgable.obj \
	cnfgator.obj \
	dbclass.obj \
	display.obj \
	fileutil.obj \
	gsdlsitecfg.obj \
	gsdltimes.obj \
	gsdltools.obj \
	gsdlunicode.obj \
	infodbclass.obj \
	md5.obj \
	OIDtools.obj \
	phrases.obj \
	text_t.obj \
	unitool.obj


# Option: SQLite support
!IF $(USE_SQLITE)
LIBGSDL_CPPFLAGS = -DUSE_SQLITE $(LIBGSDL_CPPFLAGS) -I"$(GSDL_DIR)\common-src\packages\sqlite\include"
LIBGSDL_OBJECTS = $(LIBGSDL_OBJECTS) sqlitedbclass.obj
!ENDIF


COMPILE = cl -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(LIBGSDL_CPPFLAGS)
LINK = cl -nologo -Fe"$@" 

.SUFFIXES:
.SUFFIXES: .cpp .obj

.cpp.obj:
	$(COMPILE) $<


gsdllib.lib: $(LIBGSDL_OBJECTS) 
	if EXIST gsdllib.lib del gsdllib.lib
	lib -nologo /out:gsdllib.lib $(LIBGSDL_OBJECTS)

all: $(LIBRARIES)

install: $(LIBRARIES)

distclean:
	del *.obj $(LIBRARIES) win32.mak

clean:
	del *.obj $(LIBRARIES)
