###########################################################################
#
# win32.mak -- Windows Makefile for runtime-src\src\protocol
#
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999-2010  The New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################


GSDL_DIR = $(GSDLHOME)


# Libraries compiled
LIBRARIES = gsdlprotocol.lib

# Library: gsdlprotocol.lib
# Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
LIBPROTOCOL_CPPFLAGS = \
	-I"$(GSDL_DIR)\common-src\src\lib" \
	-I"$(GSDL_DIR)\runtime-src\src\colservr"

LIBPROTOCOL_OBJECTS = \
	nullproto.obj \
	recptproto.obj \
	recptprototools.obj


COMPILE = cl -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(LIBPROTOCOL_CPPFLAGS)
LINK = cl -nologo -Fe"$@" 

.SUFFIXES:
.SUFFIXES: .cpp .obj

.cpp.obj:
	$(COMPILE) $<


gsdlprotocol.lib: $(LIBPROTOCOL_OBJECTS) 
	if EXIST gsdlprotocol.lib del gsdlprotocol.lib
	lib -nologo /out:gsdlprotocol.lib $(LIBPROTOCOL_OBJECTS)

all: $(LIBRARIES)

install: $(LIBRARIES)

distclean:
	del *.obj $(LIBRARIES) win32.mak

clean:
	del *.obj $(LIBRARIES)
